#!/bin/bash

# 自动挂载磁盘
auto_disk(){
    curl -o auto_disk.sh http://download.bt.cn/tools/auto_disk.sh && sudo bash auto_disk.sh
    back_home
}
# 更换软件源
replace_source(){
    echo "===== 软件源更换脚本 ====="
    echo "1) 更换为阿里云软件源"
    echo "2) 更换为网易软件源"
    echo "0) 退出"
    echo "========================="
    read -p "请输入需要输入的选项:" function
    sudo cp /etc/yum.repos.d/CentOS-Base.repo /etc/yum.repos.d/CentOS-Base.repo.backup
    case ${function} in
        1)
            curl -o /etc/yum.repos.d/CentOS-Base.repo http://mirrors.aliyun.com/repo/Centos-7.repo
            ;;
        2)
			curl -o /etc/yum.repos.d/CentOS-Base.repo http://mirrors.163.com/.help/CentOS7-Base-163.repo
            ;;
        0)
    	    clear
            ;;
        *)
            echo "未知选项，将保留当前配置。"
            ;;
    esac
    main
    
}
#返回首页
back_home(){
	read -p "请输入0返回首页:" function
	if [ "${function}" == "0" ]; then
	    clear
		main
	else
		clear
		exit 0
	fi
}
#功能未开发提示
dev(){
    clear
    echo -e "该功能正在开发中"
    back_home
}
# 退出脚本
exitsh(){
    clear
    echo -e "感谢使用ASKM-阿斯克码Linux工具箱"
}
main(){
    clear
	echo -e "
#====================================================#
#       ASKM-阿斯克码Linux工具箱 V1.0                 #
#----------------------------------------------------#
# (1)[挂载磁盘]宝塔自动挂载工具将磁盘挂载到www目录       #
# (2)[换镜像源]暂时只支持更换centos7系统的yum源         #
# (0)[退出脚本]退出该脚本                              #
#====================================================#
	"
	read -p "请输入需要输入的选项:" function
	case $function in
    1)  auto_disk
    ;;
    2)  replace_source
    ;;
    *)  exitsh
    ;;
    esac
}
main